Package com.documentum.operations

# Interface IDfXMLTransformNode

All Superinterfaces:
  `IDfOperationNode`

public interface IDfXMLTransformNode extends IDfOperationNode
Represents a node in an XML transformation operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDestination(Object destinationObject)`
  Specify the transformed document's destination.
  `void`
  `setInputFormat(String inputFormat)`
  Specify the input format for input object.
  `void`
  `setName(String name)`
  Sets the name for this input transform node.
  `void`
  `setOutputFormat(String outputFormat)`
  Specify the destination format for the output of the transformation.
  `void`
  `setSession(IDfSession session)`
  Set the session that will be used by this operation.
  `void`
  `setTransformation(Object transformObject)`
  Specify the XSLT transformation object that will be applied to this input node.
  `void`
  `setXSLTParameter(String name, String value)`
  Specify a parameter that will be passed to the stylesheet.

  ### Methods inherited from interface com.documentum.operations.IDfOperationNode

  `getChildren, getEdgeProperties, getId, getOperation, getParent, getPersistentProperties, getProperties, isRoot`

- ## Method Details

  - ### setSession

    void setSession(IDfSession session) throws DfException
    Set the session that will be used by this operation.
    Parameters:
      `session` - session
    Throws:
      `DfException`
    See Also:
      - `IDfSession`

  - ### setTransformation

    void setTransformation(Object transformObject) throws DfException
    Specify the XSLT transformation object that will be applied to this input node. The transformation object is the XSL stylesheet.
    Parameters:
      `transformObject` - XSLT transformation object that will be applied on the input as any one of the following types: `IDfSysObject, URL, Reader, IDfFile`.

    Throws:
      `DfException`

  - ### setDestination

    void setDestination(Object destinationObject) throws DfException
    Specify the transformed document's destination.
    - If an `IDfImportOperation` is specified as the destination, the transformed document will be imported as a new object.
    - If an `IDfSysObject` is specified as the destination, the transformed document will be used to set the primary content of the object.
    - To add the transformed document as a rendition of the input document, do not set the destination. Instead, use the `node.setOutputFormat` method.

    Parameters:
      `destinationObject` - specifies the transformed document's destination as one of the following types: `IDfFile, OutputStream, Writer, IDfImportOperation, IDfSysObject`.
    Throws:
      `DfException`
    See Also:
      - `setOutputFormat(java.lang.String)`

  - ### setName

    void setName(String name) throws DfException
    Sets the name for this input transform node. The input for transformation can be a `Reader` or `DOM`.

    The user needs to set a meaningful name for such input objects.

    Parameters:
      `name` - Name of the node.
    Throws:
      `DfException`

  - ### setInputFormat

    void setInputFormat(String inputFormat) throws DfException
    Specify the input format for input object. The input format will be applied for `IDfSysObjects`.

    To add the transformed document as a rendition of the input document:

    - Do not set the destination using the `setDestination` method;
    - Set the input format different from the output format.

    Parameters:
      `inputFormat` - Format name of the object being transformed (e.g. xml)
    Throws:
      `DfException`
    Since:
      4.2.13

  - ### setOutputFormat

    void setOutputFormat(String outputFormat) throws DfException
    Specify the destination format for the output of the transformation.

    To add the transformed document as a rendition of the input document:

    - Do not set the destination using the `setDestination` method;
    - Set the input format different from the output format.

    The format can also be specified in the stylesheet (e.g. `xsl:output method="html"`). If the stylesheet specifies the output format, setting the destination format though the `setOutputFormat` method is not required.

    Parameters:
      `outputFormat` - Format name of the transformation output. (e.g. html)
    Throws:
      `DfException`
    Since:
      4.2.13
    See Also:
      - `setDestination(java.lang.Object)`
      - `setInputFormat(java.lang.String)`

  - ### setXSLTParameter

    void setXSLTParameter(String name, String value)
    Specify a parameter that will be passed to the stylesheet. For example, if the stylesheet has the following:

         <xsl:param name="PROJECT_NAME" select="string('default project')"/>

    You can pass the value for PROJECT_NAME as follows: transformNode.setXSLTParameter("PROJECT_NAME", "Project ABC");
    Parameters:
      `name` - The name of the parameter.
      `value` - The value of the parameter.
    Since:
      5.3